## org.w3c.jigadmin.events
Interface ResourceActionSource

All Known Implementing Classes:
  ControlServerHelper

public abstract interface ResourceActionSource

Object that implements this interface cand fire ResourceActionEvent.

Method Summary
`void` | `addResourceActionListener(ResourceActionListener listener)` Add a ResourceActionListener.
`void` | `removeResourceActionListener(ResourceActionListener listener)` Remove a ResourceActionListener.

Method Detail

### addResourceActionListener

    public void addResourceActionListener(ResourceActionListener listener)

  Add a ResourceActionListener.
  Parameters:
    `listener` - the ResourceActionListener to add

### removeResourceActionListener

    public void removeResourceActionListener(ResourceActionListener listener)

  Remove a ResourceActionListener.
  Parameters:
    `listener` - the ResourceActionListener to remove